## jenkins configuration setup file
#
## Copyright 2008,2009 Vincent Batts, Birmingham, AL, USA
## Copyright 2010,2011 Vincent Batts, Vienna, VA, USA
##               vbatts@hashbangbash.com, http://hashbangbash.com/
## All rights reserved.
##
## Redistribution and use of this script, with or without modification, is
## permitted provided that the following conditions are met:
##
## 1. Redistributions of this script must retain the above copyright
##    notice, this list of conditions and the following disclaimer.
##
## THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
## WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
## MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
## EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
## SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
## PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
## OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
## WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
## OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
## ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

## Java defaults to `which java`
#JAVA=/usr/lib/java/bin/java

## system user for jenkins daemon (default to 'jenkins')
JENKINS_USER="jenkins"

## set the http route prefix. Must include the preceding '/'. default is just '/'
#JENKINS_PREFIX=/

## set the http listening port. -1 to disable, Default is 8080
#JENKINS_HTTP_PORT=8080

## set the http listening address. Default is all interfaces
#JENKINS_HTTP_LISTENING_ADDRESS="localhost"

## set the https listening port. -1 to disable, Default is disabled
#JENKINS_HTTPS_PORT=8080

## set the https listening address. Default is all interfaces
#JENKINS_HTTPS_LISTENING_ADDRESS="localhost"

## the location of the SSL KeyStore file. Default is ./winstone.ks
#JENKINS_HTTPS_KEYSTORE=""

## the password for the SSL KeyStore file. Default is null 
#JENKINS_HTTPS_KEYSTORE_PASSWORD=""

## the SSL KeyManagerFactory type (eg SunX509, IbmX509). Default is SunX509
#JENKINS_HTTPS_KEY_MANAGER="SunX509"

## this along with JENKINS_HTTPS_CERTIFICATE can be used to run HTTPS with
## OpenSSL secret key file and the corresponding certificate file
#JENKINS_HTTPS_PRIVATE_KEY=""

#JENKINS_HTTPS_CERTIFICATE=""

## Default home of jenkins stuffs
#JENKINS_HOME=/var/lib/jenkins

## Default location to log
#JENKINS_LOG_DIR=/var/log/jenkins.log 

## set directory for multiple webapps to be deployed from
#JENKINS_WEBAPPSDIR=/var/lib/jenkins/apps/

## set document root folder
#JENKINS_WEBROOT=/var/lib/jenkins/webroot

## any additionally flags available, see `jenkins --help`
#OPT_ARGS=""
